org.apache.solr.update

## Class CommitUpdateCommand

- java.lang.Object
- - org.apache.solr.update.UpdateCommand
  - - org.apache.solr.update.CommitUpdateCommand

- All Implemented Interfaces:
    Cloneable

      public class CommitUpdateCommand
      extends UpdateCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `expungeDeletes`
    `int` | `maxOptimizeSegments` During optimize, optimize down to <= this many segments.
    `boolean` | `openSearcher`
    `boolean` | `optimize`
    `boolean` | `prepareCommit`
    `boolean` | `softCommit`
    `boolean` | `waitSearcher`

    - ### Fields inherited from class org.apache.solr.update.UpdateCommand

      `BUFFERING, CLEAR_CACHES, flags, IGNORE_AUTOCOMMIT, PEER_SYNC, REPLAY, req, route, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitUpdateCommand(SolrQueryRequest req, boolean optimize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.update.UpdateCommand

      `clone, getFlags, getReq, getRoute, getVersion, setFlags, setReq, setRoute, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### optimize

          public boolean optimize

    - #### openSearcher

          public boolean openSearcher

    - #### waitSearcher

          public boolean waitSearcher

    - #### expungeDeletes

          public boolean expungeDeletes

    - #### softCommit

          public boolean softCommit

    - #### prepareCommit

          public boolean prepareCommit

    - #### maxOptimizeSegments

          public int maxOptimizeSegments

      During optimize, optimize down to <= this many segments. Must be >= 1
      See Also:
        `IndexWriter.forceMerge(int)`

  - ### Constructor Detail

    - #### CommitUpdateCommand

          public CommitUpdateCommand(SolrQueryRequest req,
                                     boolean optimize)

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in class `UpdateCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpdateCommand`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.